This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 596684 - Review Request: maven-source-plugin - Maven Source Plugin
Review Request: maven-source-plugin - Maven Source Plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 06:09 EDT by Alexander Kurtakov
Modified: 2010-05-28 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 05:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guido.grazioli: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-05-27 06:09:02 EDT
Spec URL: http://akurtakov.fedorapeople.org/maven-source-plugin.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-source-plugin-2.1.2-1.fc13.src.rpm
Description: The Maven 2 Source Plugin creates a JAR archive of the 
source files of the current project.
Comment 1 Alexander Kurtakov 2010-05-27 06:10:48 EDT
Successful build in dist-f14-maven221:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2212300
Comment 2 Guido Grazioli 2010-05-27 07:21:31 EDT
NEEDSWORK - URL: tag refers to maven-antrun-plugin :)

OK - rpmlint output:
maven-source-plugin.spec: W: invalid-url Source0: maven-source-plugin-2.1.2.tar.xz
maven-source-plugin.noarch: W: no-documentation
maven-source-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-source-plugin
(false positives)
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines

NEEDSWORK - The package must meet the Java Packaging Guidelines
you need:
BuildRequires: jpackage-utils

OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2212300
(against dist-f14-maven221 target)
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. (exported from svn)
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate. 
OK - %{?dist} tag is used in release 

Can you also change the summary to something more accurate? I know thats the <name> in the pom.xml, but if you imagine a 
# yum search maven plugin
-> maven-source-plugin.noarch: Maven Source Plugin
Id prefer something like:
maven-source-plugin.noarch: creates JAR file of projects
Comment 3 Alexander Kurtakov 2010-05-27 07:37:18 EDT
(In reply to comment #2)
> NEEDSWORK - URL: tag refers to maven-antrun-plugin :)
Ooops, Fixed.

> NEEDSWORK - The package must meet the Java Packaging Guidelines
> you need:
> BuildRequires: jpackage-utils
> 
Fixed

> Can you also change the summary to something more accurate? I know thats the
> <name> in the pom.xml, but if you imagine a 
> # yum search maven plugin
> -> maven-source-plugin.noarch: Maven Source Plugin
> Id prefer something like:
> maven-source-plugin.noarch: creates JAR file of projects    
Fixed. Changed to Plugin creating source jar

New soures:

Spec URL: http://akurtakov.fedorapeople.org/maven-source-plugin.spec
SRPM URL:
http://akurtakov.fedorapeople.org/maven-source-plugin-2.1.2-2.fc13.src.rpm
Comment 4 Guido Grazioli 2010-05-27 07:40:14 EDT
OK, package APPROVED.
Comment 5 Alexander Kurtakov 2010-05-27 07:50:25 EDT
New Package CVS Request
=======================
Package Name: maven-source-plugin
Short Description: Plugin creating source jar
Owners: akurtakov
Branches: 
InitialCC:
Comment 6 Dennis Gilmore 2010-05-27 18:47:07 EDT
CVS Done
Comment 7 Alexander Kurtakov 2010-05-28 05:00:44 EDT
Build in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2215147

Note You need to log in before you can comment on or make changes to this bug.